"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const tasks_1 = require("@angular-devkit/schematics/tasks");
const files_1 = require("../../utils/files");
const versions_1 = require("../../utils/versions");
// You don't have to export the function as default. You can also have more than one rule factory
// per file.
function ngAdd(_options) {
    return schematics_1.chain([addInstallTask(), updatePackageJson()]);
}
exports.ngAdd = ngAdd;
function addInstallTask() {
    return (host, context) => {
        context.addTask(new tasks_1.NodePackageInstallTask());
        return host;
    };
}
exports.addInstallTask = addInstallTask;
function updatePackageJson() {
    return files_1.updateJsonInTree('package.json', packageJson => {
        if (packageJson === null ||
            packageJson === undefined ||
            Object.keys(packageJson).length === 0) {
            throw new schematics_1.SchematicsException('Unable to find package.json file in the current directory');
        }
        const devDependencies = packageJson.devDependencies || {};
        const updatedDevDependencies = Object.assign({}, devDependencies, { '@mockly/core': versions_1.mocklyVersion });
        return Object.assign({}, packageJson, { devDependencies: updatedDevDependencies });
    });
}
exports.updatePackageJson = updatePackageJson;
//# sourceMappingURL=index.js.map